Subject: Re: Property value retainment in case of LocalControlDescriptor.

From: Christian Groves <[email-masked]>
Date: Mon, 2 Oct 2000 14:40:18 +1100

G'Day Tom,

With regards to (1): I don't think that defining these incompatibilities
is something that we should be doing.
With regards to (2) I don't think we even have a protocol mechanism to
assign packages to a termination. What packages a termination supports
is provisioned. We can via the protocol assign/delete properties and
values from any termination. Through auditing the MGC can find out what
is current assigned to a terminations (AuditValue) and audit the
possible properties/values (Audit Capability).

Cheers, Christian

Tom-PT Taylor wrote:
>
> Good question.  It is complicated by the fact that it is crucial (I think)
> to be able to say whether a given property is even present on a given
> termination.  This is tied to the broader question of package support.  I
> would like to make these propositions, which are consistent with the
> protocol as it stands but are very much open to discussion:
> (1) Some packages are mutually exclusive (cannot simultaneously be supported
> on the same termination), for example, RTP and TDMC.
> (2) Once a given package has been assigned to a termination, the protocol
> provides no way of getting rid of it.
>
> If (1) is true we should be documenting the incompatibilities in the package
> definitions and implementations should check for valid combinations.  If (2)
> is true each termination acquires a state composed of packages provisioned
> against it, plus all additional packages invoked on it by the MGC and
> accepted by the MG.  Packages with no known incompatibilities and no
> associated properties can be ignored in composing this state.  The MG has to
> check each new package invocation from the MGC against the accrued
> termination package state.
>
> Now: how does this relate to your question?  If the above propositions are
> accepted, we can reason that properties are persistent -- once they have
> been attributed to a termination they never go away.  It is a short step to
> suggest that they will typically require explicit action to change them, and
> you can assume they stay unchanged otherwise.  Therefore properties don't
> have to be respecified in TerminationState and LocalControl unless you want
> them to change.
>
> > -----Original Message-----
> > From: Madhu Babu [mailto:[email-masked]]
> > Sent: Friday, September 15, 2000 10:21 AM
> > To: [email-masked]
> > Subject: Property value retainment in case of LocalControlDescriptor.
> >
> >
> > In Section 7.1.7 paragraph 9 indicates that a new local
> > control descriptor
> > replaces the previous setting of that descriptor is this true
> > in case of
> > properties also.  or is it that MGC will always have to send
> > these properties
> > every time it sends a local control descriptor.
> > Regards.
> > -Madhubabu
> >